Installing and configuring Optim Data Privacy Providers for IBM InfoSphere DataStage Data Masking stage

Product documentation


Abstract

This technote contains information about installing the IBM InfoSphere DataStage Data Masking stage and installing and configuring Optim Data Privacy Providers, version 9.1.

Content

About this task

The Data Masking stage requires Optim Data Privacy Providers, which is a library to mask privacy data. To use the Data Masking stage, you must install Optim Data Privacy Providers on the InfoSphere Information Server engine tier.

IBM InfoSphere DataStage Data Masking stage runs with the following versions of Optim Data Privacy Providers :

  • Optim Data Privacy Providers, version 9.1, fix pack 3 with interim fix IOQ-09.01.00-001
  • Optim Data Privacy Providers, version 1.0

Prerequisites

To run IBM InfoSphere DataStage Data Masking stage with Optim Data Privacy Providers versions 9.1:
    • The IBM InfoSphere Optim Masking On Demand, version 9.1 package, contains Optim Data Privacy Providers, version 9.1. Obtain a license key for one of the following Optim products, as the package is part of these products:
      • IBM InfoSphere Optim Data Masking Solution, version 2.2
      • IBM InfoSphere Optim Data Privacy Enterprise Edition, version 9.1
      • IBM InfoSphere Optim Data Privacy Work Group Edition, version 9.1
    • Downoload Optim Data Privacy Providers, version 9.1, fix pack 3 from Fix Central and interim fix IOQ-09.01.00-001 from IBM support.
To run IBM InfoSphere DataStage Data Masking stage with Optim Data Privacy Providers versions 1.0:
    • Data Privacy Providers, version 1.0 exists on your system if you have installed IBM InfoSphere DataStage pack for Data Masking, version 8.5. You do not need to obtain a license key for the Optim products.
Supported platforms

Windows, Linux, and AIX

Supported product versions

IBM InfoSphere Information Server, version 9.1 or later

Installing the IBM InfoSphere DataStage Data Masking stage

To install the Data Masking stage on InfoSphere DataStage, download and install both the client patch and the server patch from APAR JR45943 .

Note: If you installed IBM InfoSphere DataStage pack for Data Masking, version 8.5, Data Privacy Providers, version 1.0 exists on your system. You can run Data Masking jobs with Optim Data Privacy Providers, version 1.0 after you install APAR JR45943. However, to use Optim Data Privacy Providers, version 9.1 install and configure with Optim Data Privacy Providers, version 9.1.

Installing and configuring Optim Data Privacy Providers, version 9.1

You can directly install Optim Data Privacy Providers, version 9.1 fix pack 3, without installing Optim Data Privacy Providers, version 9.1 package first.

However, you can also install the Optim Data Privacy Providers, version 9.1 package first and then upgrade to fix pack 3.
  1. (Optional) Use one of the following methods to install IBM InfoSphere Optim Masking On Demand, which contains Optim Data Privacy Providers:
    • Install from the ODPP.zip file. Note: On both Windows 32-bit and 64-bit platforms, you must install the 32-bit binaries from the extractedODPP package/Image32 directory.
    • (Windows only) Install by using IBM Installation Manager. Install IBM Installation Manager, version 1.5.2 or later, and then use IBM Installation Manager to install IBM InfoSphere Optim Masking On Demand.
    • (Windows only) Install from the launchpad. Install IBM Installation Manager, version 1.5.2 or later, and then install IBM InfoSphere Optim Masking On Demand from the launchpad.

      For more information, see the Optim Data Privacy Providers User guide in the Optim Masking on Demand package.

  2. Download and install Optim Data Privacy Providers, version 9.1, fix pack 3 from Fix Central. For more information, see the Optim Data Privacy Providers fix pack installation guide.
  3. Install interim fix IOQ-09.01.00-001. Contact the IBM support to get the interim fix IOQ-09.01.00-001.
  4. To generate license files, run the ODPPLic program from the ODPPinstallation/bin directory. For example, you can run the following command: C:\ODPP9\bin\ODPPLicp.exe OPTDIST ID=xxxx KEY=xxxxxxxx For more information, see the Optim Data Privacy Providers users guide.
  5. Configure InfoSphere Data Stage with Optim Data Privacy Providers, version 9.1.
    1. Start the IBM InfoSphere DataStage and QualityStage Administrator client.
    2. Add the path to the directory that contains Optim Data Privacy Providers binary files to the library path environment variable.
      • On Windows, add the directory path to the PATH environment variable.
      • On Liinux, add the directory path to the LD_LIBRARY_PATH environment variable.
      • On AIX, add the directory path to the LIBPATH environment variable.
    3. Add the ODPPLL environment variable and set the path to the directory that contains the Optim Data Privacy Providers license files (ODPPLICF.OPT and ODPPKEYF.OPT).
    4. Add the ODPPERRL environment variable and set the path to the directory that contains the Optim Data Privacy Providers message file (ODPPErrMsgs_EN.xml).


Reference: Installation and migration scenarios

The following table contains some of the installation and migration scenarios. for installing and configuring the data masking stage and Optim Data Privacy Providers, version 9.1.

Installation or migration scenario Procedure
Installing on an existing InfoSphere Information Server 9.1 installation
  • Install the IBM InfoSphere DataStage Data Masking stage.
  • Install and configure Optim Data Privacy Providers, version 9.1.
Installing on an InfoSphere Information Server 9.1 installation that has IBM InfoSphere DataStage Data Masking Pack installed
  • Install the IBM InfoSphere DataStage Data Masking stage. This process overrides the Data Masking pack that is already installed. You can run data masking jobs with Optim Data Privacy Providers, version 1.0 which is installed when you install IBM InfoSphere DataStage Data Masking pack.
  • If you want to use the data masking stage with Optim Data Privacy Providers, version 9.1, then install and configure Optim Data Privacy Providers, version 9.1.
Installing on existing supported Optim products
  • Install Information Server 9.1. Make sure that the engine tier of the InfoSphere Information Server is installed on the system where Optim Data Privacy Providers, version 9.1 is installed.
  • Install the IBM InfoSphere DataStage Data Masking stage.
  • Install and configure Optim Data Privacy Providers, version 9.1.
Migrating from an Information Server 8.5 installation that has InfoSphere DataStage Data Masking Pack installed
  • Upgrade from InfoSphere Information Server, version 8.5 to InfoSphere Information Server, version 9.1. For more information, see the IBM InfoSphere Information Server Version 9.1 Information Center.
  • Install the IBM InfoSphere DataStage Data Masking stage. This process overrides the Data Masking pack that is already installed. You can run Data Masking jobs with Optim Data Privacy Providers, version 1.0 which is installed when you install IBM InfoSphere DataStage Data Masking pack.
  • If you want to use the data masking stage with Optim Data Privacy Providers, version 9, then install and configure Optim Data Privacy Providers, version 9.1.
Migrating from an Information Server 8.7 installation that has InfoSphere DataStage Data Masking Pack installed
  • Upgrade from InfoSphere Information Server, version 8.7 to InfoSphere Information Server, version 9.1. For more information, see the IBM InfoSphere Information Server Version 9.1 Information Center.
  • Install the IBM InfoSphere DataStage Data Masking stage. This process overrides the Data Masking pack that is already installed. You can run Data Masking jobs with Optim Data Privacy Providers, version 1.0 which is installed when you install IBM InfoSphere DataStage Data Masking pack.
  • If you want to use the data masking stage with Optim Data Privacy Providers, version 9, then install and configure Optim Data Privacy Providers, version 9.1.

Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

InfoSphere DataStage

Software version:

9.1

Operating system(s):

AIX, HP-UX, Linux, Solaris, Windows

Reference #:

7037945

Modified date:

2013-03-30

Translate my page

Machine Translation

Content navigation